Support » Plugin: WP Store Locator » The application does not have permission to use the Geolocation API

  • I have just recently added the store locator to my website (sterlingintimates.ca). I created both browser and server keys using the link in the install article. I used the csv addon to successfully import and geocode all my store locations.

    However, neither the auto-locate nor autocomplete functionality appear to be working. Autocomplete does not work in the set start point nor on the map itself. I’ve tried testing with several browsers / computers / mobiles.

    After reading through other postings I’ve tried re-creating the keys, disabling all other wordpress plugins without success. I don’t see any error message in the browser console. However, clicking on the locate arrow button on store locator map brings up an error message “The application does not have permission to use the Geolocation API”.

    Any ideas?

    Thanks

    https://wordpress.org/plugins/wp-store-locator/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Tijmen Smit

    (@tijmensmit)

    “The application does not have permission to use the Geolocation API” error is related to the request the browser makes to the user to try and determine the users current location, the API keys are not used for this.

    It does work for me on your site when I test it in Firefox. Did you test it from the same network? Don’t know if it’s even possible, but maybe a firewall blocks it somewhere, and simply automatically denies access?

    Which browsers did you test it on? Does it also not work in private mode in your browser?

    “Autocomplete does not work in the set start point” No errors show up in the console in the admin area as well?

    The autocomplete doesn’t work for me as well on your site. It also doesn’t work with the default WP theme?

    The auto-locate is now working. After further searching in the forum I learned that Google requires a secure https connection for auto-locate requests and made the necessary changes.

    However, the auto-complete is still a mystery. I changed the theme back to the default, Twenty Sixteen, and ensured that all plugins are disabled except for the store locator and csv import . Still no errors reported in the console yet the auto-complete still did not work. I checked the Google Developer Console API manager and found the Google Places API Web Service was not enabled. I changed it to enabled and now get auto-complete results sourced from Google Places. This is a mix of business names and geographical results. Is this the expected behavior?

    Thanks.

    Plugin Author Tijmen Smit

    (@tijmensmit)

    Did you use the “Create browser key” button on this link? It includes parameters that automatically enable the required API’s.

    The link itself was taken from another documentation page about the Geocode API from Google itself, but I see it doesn’t include something that mentions the Google Places API. I wasn’t aware you needed to enable it to work, this really wasn’t required before. It always just worked.

    I does indeed sometimes include business names, I still have to look into how to disable that.

    Yes, I did use the create browser key and create server key links on the documentation page.

    Thanks for the quick responses. The plugin is great and aside from the API setup issue the whole package is very intuitive to use.

    S.

    Hi,
    I have the same problem but can’t find the solution you are referring to regarding secure https connection for auto-locate requests. Can you please point me in the right direction?

    Thanks!

    The chrome browser requires secure ssl connection for geo location requests. Your website needs an a SSL certificate so you can access the page by https://

    See notice:
    https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only
    https://mobiforge.com/news-comment/no-https-then-bye-bye-geolocation-in-chrome-50

    Awesome! Thanks!

    kinectasia

    (@kinectasia)

    Hi,

    First of all, I am trying to make myself familiar with the plugin. So far, I really love it. Great job!

    I have fixed ssl problem for most available browsers, however, I still can’t make it works on iPhone6. I still get the same error message “The application does not have permission to use the Geolocation API.”

    Can you advise me what I have missed?

    Thanks

    Hi!
    Thanks for all the post, have the same problem.
    the auto locate doesnt work on my android cellphone with chrome (“The application does not have permission to use the Geolocation API.”), but works on pc (with chrome or firefox). ideas?

    the site is https.

    thanks!

    Plugin Author Tijmen Smit

    (@tijmensmit)

    Did you make sure it’s enabled ( access the to Geolocation API ) in the Chrome browser on your phone? Have you tried another browser on your phone?

    First, thanks for your answer.

    the chrome version is 53.0 in an android 5.1
    the access to the geolocation api is enabled in the phone (in chrome/ options/website configuration/location/ ask before allowing websites to detect your location) but never asked me for accept it.

    In iphone is the same.

    thanks!

    Working!!! was:

    “I checked the Google Developer Console API manager and found the Google Places API Web Service was not enabled.”

    thanks both! really thanks!

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘The application does not have permission to use the Geolocation API’ is closed to new replies.